# Build

- [Getting started](https://docs.haven1.org/build/getting-started.md): Kickstart your development on Haven1 with our comprehensive builder’s guide.
- [Haven1 Network information](https://docs.haven1.org/build/network-information.md): This page contains the network information and contract addresses for Haven1
- [Novel developer benefits on Haven1](https://docs.haven1.org/build/developer-benefits.md): Explore the advantages of building on Haven1, from security to compliance-friendly DeFi infrastructure.
- [High level guide for secure deployment](https://docs.haven1.org/build/guidelines-for-secure-deployment.md): Best practices for deploying secure and robust smart contracts on Haven1.
- [Detailed deployment Guide](https://docs.haven1.org/build/detailed-deployment-guide.md): If you have deployed on an EVM chain before, here a few additional steps you need to follow to deploy on Haven1 network
- [Developer tools](https://docs.haven1.org/build/developer-tools.md): A suite of powerful tools and resources for developing on Haven1.
- [Haven1 Gnosis Safe wallet](https://docs.haven1.org/build/developer-tools/shared-wallet.md): Shared wallet allows multiple parties to sign and approve a transaction before it is sent for execution to the Haven1 Network
- [Haven1 SDK](https://docs.haven1.org/build/developer-tools/haven1-sdk.md): This is the Haven1 official developer kit, featuring comprehensive SDKs for Blockchain, React, Wagmi, and API Client integration.
- [@haven1/sdk-api-client](https://docs.haven1.org/build/developer-tools/haven1-sdk/haven1-sdk-api-client.md): The @haven1/sdk-api-client package provides seamless connectivity between your project and the Haven1 APIs, adhering to the OpenAPI Specification standard. This package simplifies API interactions by
- [Class: Haven1SDK](https://docs.haven1.org/build/developer-tools/haven1-sdk/haven1-sdk-api-client/class-haven1sdk.md): Haven1SDK provides access to authentication and SDK functionalities.
- [Class: AuthModule](https://docs.haven1.org/build/developer-tools/haven1-sdk/haven1-sdk-api-client/class-authmodule.md): The AuthModule class provides methods for interacting with an authentication API. It allows clients to retrieve a nonce, verify a message signature, validate tokens, and sign out from the authenticati
- [Class: SdkModule](https://docs.haven1.org/build/developer-tools/haven1-sdk/haven1-sdk-api-client/class-sdkmodule.md): The SdkModule class provides methods to interact with the SDK API. It handles operations related to notifications, OTP submission, guardian transactions, and identity details.
- [@haven1/blockchain-sdk](https://docs.haven1.org/build/developer-tools/haven1-sdk/haven1-blockchain-sdk.md): The @haven1/blockchain-sdk package provides essential configurations and utilities to interact with the Haven1 blockchain. It simplifies blockchain integration by offering pre-configured settings, ABI
- [Contracts](https://docs.haven1.org/build/developer-tools/haven1-sdk/haven1-blockchain-sdk/contracts.md)
- [@haven1/wagmi-sdk](https://docs.haven1.org/build/developer-tools/haven1-sdk/haven1-wagmi-sdk.md): The @haven1/wagmi-sdk package is the best way to interact with the Haven1 blockchain when using Wagmi in your React project. This package simplifies adding the Haven1 blockchain to your Wagmi setup
- [Constant Module](https://docs.haven1.org/build/developer-tools/haven1-sdk/haven1-wagmi-sdk/constant-module.md)
- [Variable: haven1Devnet](https://docs.haven1.org/build/developer-tools/haven1-sdk/haven1-wagmi-sdk/constant-module/variable-haven1devnet.md)
- [Variable: haven1Testnet](https://docs.haven1.org/build/developer-tools/haven1-sdk/haven1-wagmi-sdk/constant-module/variable-haven1testnet.md)
- [Variable: H1](https://docs.haven1.org/build/developer-tools/haven1-sdk/haven1-wagmi-sdk/constant-module/variable-h1.md)
- [Contract Module](https://docs.haven1.org/build/developer-tools/haven1-sdk/haven1-wagmi-sdk/contract-module.md)
- [ProofOfIdentity](https://docs.haven1.org/build/developer-tools/haven1-sdk/haven1-wagmi-sdk/contract-module/proofofidentity.md)
- [ProofOfIdentityV2](https://docs.haven1.org/build/developer-tools/haven1-sdk/haven1-wagmi-sdk/contract-module/proofofidentityv2.md)
- [NativeAppFee](https://docs.haven1.org/build/developer-tools/haven1-sdk/haven1-wagmi-sdk/contract-module/nativeappfee.md)
- [Utility Module](https://docs.haven1.org/build/developer-tools/haven1-sdk/haven1-wagmi-sdk/utility-module.md)
- [bigIntMax](https://docs.haven1.org/build/developer-tools/haven1-sdk/haven1-wagmi-sdk/utility-module/bigintmax.md)
- [formatBigint](https://docs.haven1.org/build/developer-tools/haven1-sdk/haven1-wagmi-sdk/utility-module/formatbigint.md)
- [bigintFromDecimals](https://docs.haven1.org/build/developer-tools/haven1-sdk/haven1-wagmi-sdk/utility-module/bigintfromdecimals.md)
- [Hook Module](https://docs.haven1.org/build/developer-tools/haven1-sdk/haven1-wagmi-sdk/hook-module.md)
- [useWatch](https://docs.haven1.org/build/developer-tools/haven1-sdk/haven1-wagmi-sdk/hook-module/usewatch.md)
- [useBalance](https://docs.haven1.org/build/developer-tools/haven1-sdk/haven1-wagmi-sdk/hook-module/usebalance.md)
- [useApproveERC20](https://docs.haven1.org/build/developer-tools/haven1-sdk/haven1-wagmi-sdk/hook-module/useapproveerc20.md)
- [useContractWrite](https://docs.haven1.org/build/developer-tools/haven1-sdk/haven1-wagmi-sdk/hook-module/usecontractwrite.md)
- [@haven1/react-sdk](https://docs.haven1.org/build/developer-tools/haven1-sdk/haven1-react-sdk.md): The @haven1/react-sdk package provides a comprehensive library of ready-to-use React components, icons, and hooks to accelerate development with Haven1. Designed for flexibility and customization, it
- [useHaven1SDK](https://docs.haven1.org/build/developer-tools/haven1-sdk/haven1-react-sdk/usehaven1sdk.md)
- [useAuth](https://docs.haven1.org/build/developer-tools/haven1-sdk/haven1-react-sdk/useauth.md)
- [useIdentity](https://docs.haven1.org/build/developer-tools/haven1-sdk/haven1-react-sdk/useidentity.md)
- [useNotifications](https://docs.haven1.org/build/developer-tools/haven1-sdk/haven1-react-sdk/usenotifications.md)
- [useOTP](https://docs.haven1.org/build/developer-tools/haven1-sdk/haven1-react-sdk/useotp.md)
- [useSignIn](https://docs.haven1.org/build/developer-tools/haven1-sdk/haven1-react-sdk/usesignin.md)
- [Use cases & Examples](https://docs.haven1.org/build/developer-tools/haven1-sdk/use-cases-and-examples.md)
- [Adding the Notification Component to Your React UI](https://docs.haven1.org/build/developer-tools/haven1-sdk/use-cases-and-examples/adding-the-notification-component-to-your-react-ui.md)
- [Check Proof of Identity (POI) Status](https://docs.haven1.org/build/developer-tools/haven1-sdk/use-cases-and-examples/check-proof-of-identity-poi-status.md)
- [Oracles on Haven1](https://docs.haven1.org/build/developer-tools/oracles-on-haven1.md): Learn how Haven1 integrates oracles for secure and reliable off-chain data.
- [Subgraph on Haven1](https://docs.haven1.org/build/developer-tools/subgraph-on-haven1.md): Query blockchain data efficiently using The Graph’s subgraph technology on Haven1.
- [Haven1 block explorer](https://docs.haven1.org/build/developer-tools/haven1-block-explorer.md): The Haven1 blockchain explorer and analytics platform are specifically designed for the Haven1 network.
- [Web3 libraries and tools](https://docs.haven1.org/build/developer-tools/web3-libraries-and-tools.md): A curated list of Web3 libraries to enhance development on Haven1.
- [Development frameworks](https://docs.haven1.org/build/development-frameworks.md): Discover recommended frameworks for building decentralized applications on Haven1.
- [Using hPassport in Your hApps](https://docs.haven1.org/build/provable-identity-applications.md): Learn how to integrate Haven1's hPassport for secure, verified user interactions in your hApp. Enable identity verification, personalised user experiences, and enhanced security using hPassport NFTs
- [Integrating hPassport into Your hApp](https://docs.haven1.org/build/provable-identity-applications/example-contract-interactions.md): Sample smart contract interactions for provable identity applications on Haven1.
- [Implementing Identity Checks in Smart Contracts](https://docs.haven1.org/build/provable-identity-applications/implementing-identity-checks-in-smart-contracts.md): Step-by-step guide on integrating identity verification in smart contracts.
- [Country codes](https://docs.haven1.org/build/provable-identity-applications/implementing-identity-checks-in-smart-contracts/country-codes.md): Reference for country codes used in Haven1’s identity verification system.
- [Sample Application - Country ID](https://docs.haven1.org/build/provable-identity-applications/country-id.md): The Country ID App is an example application of hPassport, offering a unique approach to regional permissioning
- [Sample Application - Composable verification level](https://docs.haven1.org/build/provable-identity-applications/composable-verification-level.md): The Verification Level App demonstrates how you can personalise the user experience on your application based on level of ID verification
- [Sample Application - User type](https://docs.haven1.org/build/provable-identity-applications/user-type.md): The User Type App is a sample app built to demonstrate how anonymous data stored on hPassport can be used to personalise the user experience on your application
- [Repository Information](https://docs.haven1.org/build/provable-identity-applications/repository-information.md): Access Haven1’s open-source identity verification repositories.
- [Application fees](https://docs.haven1.org/build/application-fees.md): Monetizing your dApps with minimal effort on Haven1
- [FeeContract.sol](https://docs.haven1.org/build/application-fees/feecontract.sol.md): Understand the fee structure and smart contract implementation on Haven1.
- [Example FeeContract Interactions](https://docs.haven1.org/build/application-fees/example-feecontract-interactions.md): Learn how to interact with Haven1’s fee contracts for decentralized applications.
- [Case Studies](https://docs.haven1.org/build/application-fees/case-studies.md): Real-world use cases demonstrating how application fees work on Haven1.
- [Builders grants program](https://docs.haven1.org/build/builders-grants-program.md): Learn how to secure funding for your Haven1 blockchain project.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.haven1.org/build.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
